:: This script starts METADATA service 
:: 

@echo off
setlocal

goto initialize

:setVariables 
    set METADATA_SERVICE_NAME=metadata
    set METADATA_EXECUTABLE=jf-metadata.exe
    set METADATA_BINARY_NAME=%JF_PRODUCT_HOME%\app\%METADATA_SERVICE_NAME%\bin\%METADATA_EXECUTABLE%
    set CONSOLEOUTDIRECTORY=%JF_PRODUCT_HOME%\var\log
    set CONSOLEOUTFILE=%CONSOLEOUTDIRECTORY%\%METADATA_SERVICE_NAME%-console.log
EXIT /B 0

:initialize  
    call :setVariables  
    if NOT defined JF_PRODUCT_HOME (
        echo "JF_PRODUCT_HOME environment variable is required to run this script."
        goto :error
    )
    if "%~1" equ "start" (
        shift /1
        goto start
        )
    if "%~1" equ "stop" (
        shift /1
        goto stop
        )
    goto start
EXIT /B 0

:stop
    tasklist /FI "IMAGENAME eq %METADATA_EXECUTABLE%" 2>NUL | find /I /N "%METADATA_SERVICE_NAME%">NUL
    if "%ERRORLEVEL%"=="0" taskkill /f /im %METADATA_EXECUTABLE%
EXIT /B %ERRORLEVEL%

:start
    call :stop
    echo Starting service %METADATA_SERVICE_NAME% from %METADATA_BINARY_NAME%
    echo. 

    if NOT defined JF_SHARED_NODE_ID (
        echo "JF_SHARED_NODE_ID environment variable is required to run this script."
        goto :error
    )

    if not exist %CONSOLEOUTDIRECTORY% mkdir %CONSOLEOUTDIRECTORY%
    if not exist %CONSOLEOUTFILE% type nul>%CONSOLEOUTFILE%

    start "%METADATA_SERVICE_NAME%-bin" /B %METADATA_BINARY_NAME% 2>&1 > "%CONSOLEOUTFILE%"
EXIT /B %ERRORLEVEL%

:error
    exit /b 1
:end
    exit /b 0